Bug 802474 - [eap6] get rid of 'Remove destination' operation
[eap6] get rid of 'Remove destination' operation
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-03-12 12:22 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:26:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-03-12 12:22:18 EDT
Description of problem: Currently there are 2 ways how to remove JMS destination from EAP6. 

1. There is an operation 'Remove Destination' which does not work
2. JMS Destination can be simply deleted from inventory

As discussed in Comments 10 and 11 in Bug 785128 we prefer the way of creating/deleting child resources instead of operations.


Version-Release number of selected component (if applicable):


How reproducible:always


Steps to Reproduce:
1.have EAP6 standalone running with standalone-full.xml
2.navigate to eap/messaging/default
3.check whether 'Remove destination' operation is present
  
Actual results: it is present and does not work 

java.lang.Exception: No jndi bindings given
	at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:278)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)


Expected results: should not be available


Additional info: In this manner we should consider getting rid of 'Add destination' operation and moving to 'Create Child' way
Comment 1 Mike Foley 2012-03-19 11:34:55 EDT
per BZ triage (crouch, loleary, mfoley)
Comment 2 Heiko W. Rupp 2012-03-19 12:26:03 EDT
master 63fd40b445
Comment 3 Heiko W. Rupp 2013-09-02 03:26:35 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.